package com.zj365.health.act.familyhealth

import androidx.recyclerview.widget.LinearLayoutManager
import com.alibaba.android.arouter.facade.annotation.Route
import com.blankj.utilcode.util.GsonUtils
import com.xty.base.act.BaseListAct
import com.xty.common.arouter.ARouterUrl
import com.xty.common.arouter.RouteManager
import com.xty.common.event.AddSuccessEvent
import com.xty.network.model.CancerGoodsBean
import com.xty.network.model.FamilyHealthBean
import com.zj365.health.R
import com.zj365.health.adapter.familyhealth.HealthFamilyAdapter
import com.zj365.health.databinding.ActHealthFamilyBinding
import com.zj365.health.vm.FamilyHealthVm
import org.greenrobot.eventbus.Subscribe
import org.greenrobot.eventbus.ThreadMode

@Route(path = ARouterUrl.FAMILY_HEALTH_ACT)
class FamilyHealthAct : BaseListAct<FamilyHealthVm>() {
    val binding by lazy { ActHealthFamilyBinding.inflate(layoutInflater) }
    val mAdapter by lazy { HealthFamilyAdapter() }
    override fun liveObserver() {
        mViewModel.familyHealthListData.observe(this){
            mAdapter.setNewInstance(it.data)
        }

        mViewModel.exitCustody.observe(this){
            page =1
            loadData()
        }
    }

    override fun setLayout() = binding.root

    override fun initView() {
        super.initView()
        statusBar(binding.title.mView)
        binding.title.mTvTitle.text = "家人健康"
        binding.title.mIvBack.setOnClickListener {
            finish()
        }
    }

    override fun initAdapter() {
        setRecycleRefresh(binding.recyclerView, binding.mRefresh, true)
        binding.recyclerView.layoutManager = LinearLayoutManager(this)
        binding.recyclerView.adapter = mAdapter
        mAdapter.addChildClickViewIds(R.id.tv_add_cancel, R.id.tv_watch,R.id.tv_current_time,R.id.user_avatar_recycler,R.id.tv_num)
        mAdapter.setOnItemChildClickListener { adapter, view, position ->
            val familyHealthBean = adapter.data[position] as FamilyHealthBean
            when (view.id) {
                R.id.tv_add_cancel -> {
                  if(familyHealthBean.isMy == 1){
                      RouteManager.goAct(ARouterUrl.ADD_FAMILY_GUARDIAN_ACT)
                  }else{
                    mViewModel.exitCustody(familyHealthBean.id.toString())
                  }
                }
                R.id.tv_num ->{
                    RouteManager.goAct(ARouterUrl.FAMILY_GUARDIAN_LIST_ACT)

                }
                R.id.user_avatar_recycler ->{
                    RouteManager.goAct(ARouterUrl.FAMILY_GUARDIAN_LIST_ACT)
                }
            }
        }
    }

    override fun loadData() {
       mViewModel.getFamilyHealthList()
    }

    override fun initData() {
        super.initData()
    }

    @Subscribe(threadMode = ThreadMode.MAIN)
    fun addSuccess(event: AddSuccessEvent){
        page = 1
        loadData()
    }

}